Bug 116724 - bsd.java.mk: remove support for Java 1.1 and 1.2 [PATCH][MAINTAINER]
bsd.java.mk: remove support for Java 1.1 and 1.2 [PATCH][MAINTAINER]
Status: Closed FIXED
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s)
Latest
Any Any
: Normal Affects Only Me
Assigned To: hq
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2007-09-29 02:50 UTC by hq
Modified: 2007-10-28 15:42 UTC (History)
0 users

See Also:


Attachments
file.diff (41.54 KB, patch)
2007-09-29 02:50 UTC, hq
no flags Details | Diff
bsd.java.mk.diff (6.31 KB, patch)
2007-10-02 22:43 UTC, herve.quiroz
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description hq freebsd_committer 2007-09-29 02:50:01 UTC
The attached patch removes support for Java 1.1 and 1.2 from bsd.java.mk. It also modify affected ports. Thus, those that define JAVA_VERSION=1.1+ or JAVA_VERSION=1.2+ are set to 1.3+.

Although it is defining JAVA_VERSION=1.1, java/collections is untouched as the port is scheduled for removal anyway.

This patch is submitted here so that it may be tested and reviewed before we attempt a test build on the cluster.

Fix: Patch attached with submission follows:
Comment 1 Edwin Groothuis freebsd_committer 2007-09-29 02:50:09 UTC
Responsible Changed
From-To: freebsd-ports-bugs->glewis

bsd.java.mk is glewis territory
Comment 2 hq freebsd_committer 2007-09-29 07:32:13 UTC
State Changed
From-To: open->feedback

Review needed 


Comment 3 hq freebsd_committer 2007-09-29 07:32:13 UTC
Responsible Changed
From-To: glewis->hq

I'll handle this
Comment 4 dfilter freebsd_committer 2007-10-02 22:17:37 UTC
hq          2007-10-02 21:17:32 UTC

  FreeBSD ports repository

  Modified files:
    databases/mysql-connector-java Makefile 
  Log:
  Remove support for Java 1.2
  
  PR:             116724
  Submitted by:   hq
  Approved by:    maintainer
  
  Revision  Changes    Path
  1.45      +1 -1      ports/databases/mysql-connector-java/Makefile
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
Comment 5 herve.quiroz 2007-10-02 22:43:35 UTC
New patch which adds a temporary fix to the 1.1/1.2 deprecation. 1.1+ 
and 1.2+ are both changed to 1.3+ on the fly by bsd.java.mk.

This patch should help testing on the cluster (no need to update other 
ports beforehand).
Comment 6 hq freebsd_committer 2007-10-21 16:44:55 UTC
State Changed
From-To: feedback->open

2 weeks timeout. It's time for a cluster test run. 


Comment 7 hq freebsd_committer 2007-10-21 16:44:55 UTC
Responsible Changed
From-To: hq->portmgr

Could you please have the latest patch run on the cluster?
Comment 8 Mark Linimon freebsd_committer 2007-10-24 11:17:35 UTC
State Changed
From-To: open->analyzed

To be tested on the cluster.
Comment 9 Mark Linimon freebsd_committer 2007-10-28 01:14:01 UTC
Responsible Changed
From-To: portmgr->hq

Test build completed on the cluster; this is ready for commit.
Comment 10 dfilter freebsd_committer 2007-10-28 15:09:51 UTC
hq          2007-10-28 15:09:43 UTC

  FreeBSD ports repository

  Modified files:
    Mk                   bsd.java.mk 
  Log:
  Remove support for Java 1.1 and 1.2 in the ports tree
  
  To ease upgrade, bsd.java.mk now substitutes JAVA_VERSION values of 1.1+ and
  1.2+ as 1.3+.
  
  The related JDK ports that have been marked as deprecated and scheduled for
  removal some time ago are now safe to be removed.
  
  The patch has been tested successfully on the cluster.
  
  PR:             116724
  
  Revision  Changes    Path
  1.82      +13 -37    ports/Mk/bsd.java.mk
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
Comment 11 hq freebsd_committer 2007-10-28 15:41:41 UTC
State Changed
From-To: analyzed->closed

Patch commited.